Bug 200492 - (perl-Gtk2-Sexy) Review Request: perl-Gtk2-Sexy
Review Request: perl-Gtk2-Sexy
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-07-28 01:14 EDT by Chris Weyl
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-02 00:09:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2006-07-28 01:14:09 EDT
Spec URL: http://home.comcast.net/~ckweyl/perl-Gtk2-Sexy.spec
SRPM URL: http://home.comcast.net/~ckweyl/perl-Gtk2-Sexy-0.02-1.fc5.src.rpm

Description: 
This module allows a perl developer to access the widgets of the sexy widget
collection.
Comment 1 Chris Weyl 2006-07-28 16:30:06 EDT
Updated with an additional buildrequires.

Spec URL: http://home.comcast.net/~ckweyl/perl-Gtk2-Sexy.spec
SRPM URL: http://home.comcast.net/~ckweyl/perl-Gtk2-Sexy-0.02-2.fc5.src.rpm

Comment 2 Jason Tibbitts 2006-07-31 21:37:51 EDT
I had to add BR: libxml2-devel in order to get this to build.  Once that was
done, rpmlint just has:

W: perl-Gtk2-Sexy devel-file-in-non-devel-package
/usr/lib64/perl5/vendor_perl/5.8.8/x86_64-linux-thread-multi/Gtk2/Sexy/Install/sexy-autogen.h

which is normal for Perl modules.

The debuginfo package is missing the source:

cpio: Gtk2-Sexy-0.02/Sexy.c: No such file or directory
cpio: Gtk2-Sexy-0.02/SexyIconEntry.c: No such file or directory
cpio: Gtk2-Sexy-0.02/SexySpellEntry.c: No such file or directory
cpio: Gtk2-Sexy-0.02/SexySpellEntry.xs: No such file or directory
cpio: Gtk2-Sexy-0.02/SexyTooltip.c: No such file or directory
cpio: Gtk2-Sexy-0.02/SexyTreeView.c: No such file or directory
cpio: Gtk2-Sexy-0.02/SexyUrlLabel.c: No such file or directory

but I'm pretty sure that's just rpm bustedness.  You can fix it by adding one
line to the end of %build:

cp xs/* .

I'm not really sure it's necessary, but it does result in a proper debuginfo
package and shouldn't harm anything, even with short-circuit builds.  (Something
like this is needed for many Java packages as well.)

It's pretty much pointless to run the test suite within mock, but I did install
the built package locally and the examples seemed to run well enough.  However,
in order to run the examples I had to install perl-Gtk2.  Is this package useful
at all without perl-Gtk2 installed?

I don't see any blockers except for the missing BR:; what do you think about the
debuginfo fix and the perl-Gtk2 dependency?

Review:
* source files match upstream:
   59433b6b2f2d72c5dfcc0d1dd0c5e7d7  Gtk2-Sexy-0.02.tar.gz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text not included upstream.
* latest version is being packaged.
X BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (development, x86_64).
? debuginfo package looks complete.
* rpmlint has only ignorable errors.
* final provides and requires are sane:
   Sexy.so()(64bit)
   perl(Gtk2::Sexy) = 0.02
   perl(Gtk2::Sexy::Install::Files)
   perl-Gtk2-Sexy = 0.02-2.fc6
  =
   libatk-1.0.so.0()(64bit)
   libcairo.so.2()(64bit)
   libgdk-x11-2.0.so.0()(64bit)
   libgdk_pixbuf-2.0.so.0()(64bit)
   libglib-2.0.so.0()(64bit)
   libgmodule-2.0.so.0()(64bit)
   libgobject-2.0.so.0()(64bit)
   libgthread-2.0.so.0()(64bit)
   libgtk-x11-2.0.so.0()(64bit)
   libpango-1.0.so.0()(64bit)
   libpangocairo-1.0.so.0()(64bit)
   libsexy.so.2()(64bit)
   libxml2.so.2()(64bit)
   libz.so.1()(64bit)
   perl(:MODULE_COMPAT_5.8.8)
   perl(base)
   perl(strict)
   perl(warnings)
* %check is present but isn't possibly going to run in mock.
* shared libraries are present (internal to Perl)
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
Comment 3 Chris Weyl 2006-07-31 22:09:45 EDT
(In reply to comment #2)
> I don't see any blockers except for the missing BR:; what do you think about the
> debuginfo fix and the perl-Gtk2 dependency?

Works by me -- I'll add the BR, an explicit dep on perl(Gtk2), fix the debug
packages and post links here in a few.
Comment 4 Chris Weyl 2006-07-31 22:24:58 EDT
Oddly enough, perl-Gtk2-Sexy-debuginfo was building with xs/*.c files included
over here (fc5/x86_64)...   Adding that one line to %build didn't change the
composition; but hopefully will under fc6/mock.

Spec URL: http://home.comcast.net/~ckweyl/perl-Gtk2-Sexy.spec
SRPM URL: http://home.comcast.net/~ckweyl/perl-Gtk2-Sexy-0.02-2.fc5.src.rpm
Comment 5 Jason Tibbitts 2006-08-01 00:42:51 EDT
That last URL is actually for the previous version, but I found the new one and
it looks good to me.  The debuginfo package looks fine now and all of the
dependencies are in line.

I'm still somewhat confused about the issue of the debuginfo package and don't
really understand why FC5 would build things differently than devel; perhaps
there's been a regression here but I don't see where it is.  I don't think the
quick fix harms anything and it does get things building properly on devel so I
think it's OK to go it, but it would be nice to get to the bottom of it eventually.

APPROVED
Comment 6 Chris Weyl 2006-08-02 00:09:02 EDT
+Import to CVS
+Add to owners.list
+Bump release, build for devel
+devel build succeeds
+Request branching (FC-4, FC-5)
+Close bug

Thanks for the review!

Note You need to log in before you can comment on or make changes to this bug.